{% extends 'base.html' %}

{% block title %}Add a new Task{% endblock %}

{% block content %}
	<div class="container">
		<div class="row">
			<div class="col-6 offset-3">
				<h1 class="text-center my-3">Add an Event</h1>
				{% if error == True %}
					<p class="text-danger">Duplicate task found</p>
				{% endif %}

				<form action="{% url 'todolist:add_event' %}" method="post">
					{% csrf_token %}

					<div class="mb-3">
						<label for="event_name">Event Name:</label>
						<input 
							type="text" 
							class="form-control"
							id="event_name" 
							name="event_name"
							value="{{ event_name }}"
							maxlength="50"
							required 
						>
					</div>
					<div class="mb-3">
						<label for="description">Description:</label>
						<input 
							type="text" 
							class="form-control"
							id="description" 
							name="description"
							value="{{ description }}"
							required 
						>
					</div>
					<div class="text-center">
						<input type="submit" class="btn btn-success" value="Add Task">
					</div>
				</form>
			</div>
		</div>
	</div>
{% endblock %}
